package com.heyu.api.data.service.device;
/**
* <p>
* 闹钟音乐表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.device.DeviceAlarmClockMusicEntity;
public interface DeviceAlarmClockMusicService extends IService<DeviceAlarmClockMusicEntity> {



	DeviceAlarmClockMusicEntity selectDeviceAlarmClockMusicById(Long id);


	Long insertDeviceAlarmClockMusic(DeviceAlarmClockMusicEntity deviceAlarmClockMusic);


	Long insertOrUpdateDeviceAlarmClockMusic(DeviceAlarmClockMusicEntity deviceAlarmClockMusic);


	int updateDeviceAlarmClockMusicById(DeviceAlarmClockMusicEntity deviceAlarmClockMusic);


	int updateCoverDeviceAlarmClockMusicById(DeviceAlarmClockMusicEntity deviceAlarmClockMusic);


	int deleteDeviceAlarmClockMusicById(Long id);


}